OrcInputFormat (ORC MapReduce 1.6.6 API)
Date: 2021-01-13

org.apache.orc.mapreduce

## Class OrcInputFormat<V extends WritableComparable>

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.input.FileInputFormat<NullWritable,V>
    - - org.apache.orc.mapreduce.OrcInputFormat<V>

-     public class OrcInputFormat<V extends WritableComparable>
      extends FileInputFormat<NullWritable,V>

  An ORC input format that satisfies the org.apache.hadoop.mapreduce API.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `FileInputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `INPUT_DIR, INPUT_DIR_RECURSIVE, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcInputFormat()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<NullWritable,V>` | `createRecordReader(InputSplit inputSplit, TaskAttemptContext taskAttemptContext)`
    `protected List<FileStatus>` | `listStatus(JobContext job)`
    `static void` | `setSearchArgument(Configuration conf, SearchArgument sarg, String[] columnNames)` Put the given SearchArgument into the configuration for an OrcInputFormat.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrcInputFormat

          public OrcInputFormat()

  - ### Method Detail

    - #### setSearchArgument

          public static void setSearchArgument(Configuration conf,
                                               SearchArgument sarg,
                                               String[] columnNames)

      Put the given SearchArgument into the configuration for an OrcInputFormat.
      Parameters:
        `conf` - the configuration to modify
        `sarg` - the SearchArgument to put in the configuration
        `columnNames` - the list of column names for the SearchArgument

    - #### createRecordReader

          public RecordReader<NullWritable,V> createRecordReader(InputSplit inputSplit,
                                                                 TaskAttemptContext taskAttemptContext)
                                                          throws IOException,
                                                                 InterruptedException

      Specified by:
        `createRecordReader` in class `InputFormat<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### listStatus

          protected List<FileStatus> listStatus(JobContext job)
                                         throws IOException

      Overrides:
        `listStatus` in class `FileInputFormat<NullWritable,V extends WritableComparable>`
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.